Bug 66609 - FILESAVE: second and subsequent lines of indented list item not indented in XHTML export
Summary: FILESAVE: second and subsequent lines of indented list item not indented in X...
Status: NEW
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: Writer (show other bugs)
Version:
(earliest affected)
Inherited From OOo
Hardware: Other All
: medium normal
Assignee: Not Assigned
URL:
Whiteboard:
Keywords:
Depends on:
Blocks: HTML-Export
  Show dependency treegraph
 
Reported: 2013-07-05 06:08 UTC by callow.mark
Modified: 2017-06-26 21:19 UTC (History)
2 users (show)

See Also:
Crash report or crash signature:


Attachments
Brief .odt whose xhtml export shows the problem (27.90 KB, application/vnd.oasis.opendocument.text)
2013-07-05 06:09 UTC, callow.mark
Details

Note You need to log in before you can comment on or make changes to this bug.
Description callow.mark 2013-07-05 06:08:06 UTC
The short .odt file I will attach contains a single section with a bullet list. Two of the items in the list is long and wrap to multiple lines. In an exported XHTML version (File->Export then choose xhtml), the second and subsequent lines of those items are aligned on the margin with the bullet instead of being indented and aligned with the first line as in the original document.
Comment 1 callow.mark 2013-07-05 06:09:42 UTC
Created attachment 82063 [details]
Brief .odt whose xhtml export shows the problem
Comment 2 Thomas van der Meulen 2013-07-05 07:30:39 UTC
Thank you for your bug report, I can reproduce this bug running LibreOffice ersion: 4.1.0.2.0
Build ID: 103a942746cfe346e87daab62acbd4268c38097on Mac osx 10.8.4. 

I can see that the first 1 is replaced with a 0 and that the line that is wraped to multiple lines is moved back.
Comment 3 callow.mark 2013-07-05 07:52:16 UTC
(In reply to comment #2)
> I can see that the first 1 is replaced with a 0 and that the line that is
> wraped to multiple lines is moved back.

In the original document from which I cut this fragment, the section numbers at this point are OK. So the 1 -> 0 problem may be something to do with fragment having been cut from a larger document.

Also please note bug #66312 that I filed about section numbers getting skipped (miscounted). The instance of 1->0 here may be the same bug as that. The focus for this bug should be on the second and subsequent lines being misaligned.
Comment 4 QA Administrators 2015-04-01 14:40:37 UTC Comment hidden (obsolete)
Comment 5 Buovjaga 2015-04-22 11:29:50 UTC
Reproduced with attachment 82063 [details].

Win 7 Pro 64-bit Version: 5.0.0.0.alpha0+ (x64)
Build ID: 211c12b9c64facd1c12f637a5229bd6a6feb032a
TinderBox: Win-x86_64@42, Branch:master, Time: 2015-04-18_01:51:17
Locale: fi_FI

Ubuntu 14.10 64-bit
LibreOffice 3.3.0 
OOO330m19 (Build:6)
tag libreoffice-3.3.0.4
Comment 6 Regina Henschel 2015-11-08 22:49:24 UTC
The paragraph inside the list item has a wrong margin-left and the css attribute text-indent is missing.

Currently it is:
style="margin-left:1.524cm;"
In this setting the value 1.524cm is the indent of the "text-body" paragraph and corresponds to the width of the chapter numbering.

But it should be:
style="margin-left:2.79cm;text-indent:-0.635cm"
In this setting the value 2.79cm is the indent set in numbering position and the value -0.635cm is the value to go back to get the alignment value 2.16cm in numbering position.

I see the error in Version: 5.1.0.0.alpha1+
Build ID: 2511a21841dd9dec735a53add8174e47d24deb88
TinderBox: Win-x86@62-merge-TDF, Branch:MASTER, Time: 2015-10-13_23:26:46
Locale: de-DE (de_DE)
Comment 7 QA Administrators 2017-01-03 19:36:10 UTC
** Please read this message in its entirety before responding **

To make sure we're focusing on the bugs that affect our users today, LibreOffice QA is asking bug reporters and confirmers to retest open, confirmed bugs which have not been touched for over a year.

There have been thousands of bug fixes and commits since anyone checked on this bug report. During that time, it's possible that the bug has been fixed, or the details of the problem have changed. We'd really appreciate your help in getting confirmation that the bug is still present.

If you have time, please do the following:

Test to see if the bug is still present on a currently supported version of LibreOffice 
(5.1.6 or 5.2.3  https://www.libreoffice.org/download/

If the bug is present, please leave a comment that includes the version of LibreOffice and 
your operating system, and any changes you see in the bug behavior
 
If the bug is NOT present, please set the bug's Status field to RESOLVED-WORKSFORME and leave 
a short comment that includes your version of LibreOffice and Operating System

Please DO NOT

Update the version field
Reply via email (please reply directly on the bug tracker)
Set the bug's Status field to RESOLVED - FIXED (this status has a particular meaning that is not 
appropriate in this case)


If you want to do more to help you can test to see if your issue is a REGRESSION. To do so:
1. Download and install oldest version of LibreOffice (usually 3.3 unless your bug pertains to a feature added after 3.3)

http://downloadarchive.documentfoundation.org/libreoffice/old/

2. Test your bug
3. Leave a comment with your results.
4a. If the bug was present with 3.3 - set version to "inherited from OOo";
4b. If the bug was not present in 3.3 - add "regression" to keyword


Feel free to come ask questions or to say hello in our QA chat: http://webchat.freenode.net/?channels=libreoffice-qa

Thank you for helping us make LibreOffice even better for everyone!

Warm Regards,
QA Team

MassPing-UntouchedBug-20170103